# Module cargo::core::compiler::timings

source ·
Expand description

Timing tracking.

This module implements some simple tracking information for timing of how long it takes for different units to compile.

## Structs

- Concurrency 🔒
  Periodic concurrency tracking information.
- Timings
  Tracking information for the entire build.
- UnitData 🔒
- UnitTime 🔒
  Tracking information for an individual unit.

## Statics

- HTML_CANVAS 🔒
- HTML_TMPL 🔒

## Functions

- render_rustc_info 🔒